#!/bin/bash
#
# Simple wrapper script to force zero-level backup at next Amanda run.
# Part of amanda-server-addons package.

AMADMIN="/usr/sbin/amadmin"     # amadmin command call
AMANDAUSER=backup               # User running Amanda
EXIT_ERR="1"                    # Exit code on error

MSG_AMANDA_FORCE_USAGE="Usage: $0 Amanda_config_name Hostname_to_backup (as root or $AMANDAUSER)."

# Getting common variables.
HEADERS="/etc/default/amanda-server-addons"
if [ -f "$HEADERS" ]; then . $HEADERS; fi

# Getting two mandatory paramerters.
CONFNAME=$1; shift
HOSTNAME=$1; shift
if [ -z "$CONFNAME" -o -z "$HOSTNAME" ] ; then
    echo -e  "$MSG_AMANDA_FORCE_USAGE" >&2
    exit $EXIT_ERR
fi

# amadmin must be called as $AMANDAUSER.
case `whoami` in 
    root)
        su $AMANDAUSER -c "$AMADMIN $CONFNAME force $HOSTNAME"
        ;;
    $AMANDAUSER)
        $AMADMIN $CONFNAME force $HOSTNAME
        ;;
    *)
	echo -e  "$MSG_AMANDA_FORCE_USAGE" >&2
	exit $EXIT_ERR
esac
